import { IAnswer, IDynamicInputAnswerContainerComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkDynamicInputAnswerContainer implements IDynamicInputAnswerContainerComponent {
  /**
   * Answer
   */
  answer: IAnswer;
  /**
   * Use select alias
   */
  useSelectAlias: boolean;
  /**
   * Show business class selector
   */
  showBusinessClassificationSelector: boolean;
  /**
   * Error messages
   */
  errors: string[] | undefined;
  /**
   * Label to use
   */
  label: string;
  /**
   * Is touched
   */
  touched: boolean;
  /**
   * Is pristine
   */
  pristine: boolean;
  /**
   * Is coverage Type
   */
  isCoverageType: boolean;
  /**
   * Label id
   */
  labelId: string;
  /**
   *  Labels that describe group
   */
  labelledBy: string;
  /**
   * Is labelled field
   */
  isLabelledField: boolean;
  /**
   * Input component type
   */
  inputComponentType: string;
  useExternal: boolean;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
  private answeredBySource;
}
