import { IFilterContainerComponent } from '@boldpenguin/sdk-types';
import { BpSdkStore } from '@boldpenguin/sdk-redux';
import { Unsubscribe } from '@stencil/redux';
export declare class BpSdkFilterContainer implements IFilterContainerComponent {
  storeUnsubscribe?: Unsubscribe;
  filter?: (state: BpSdkStore) => boolean;
  isHidden: boolean;
  useExternal: boolean;
  resetState(): void;
  handleSubscriptions: () => void;
  onFilterChange(): void;
  connectedCallback(): void;
  mapStateToProps: (state: BpSdkStore) => {
    isHidden: boolean;
  };
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
