import { IAnswer, IMappedQuestionGroupAnswers, IStepperGroupContainerComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkStepperGroupContainer implements IStepperGroupContainerComponent {
  /**
   * Question Group
   */
  questionGroup: IMappedQuestionGroupAnswers;
  currentActiveStepper: number;
  currentActiveStepperId: string | undefined;
  previousStep: IAnswer | null;
  nextStep: IAnswer | null;
  buttonDisable: boolean;
  useExternal: boolean;
  onCurrentActiveStepChange(index: number): void;
  onQuestionGroupChange(questionGroup: any): void;
  handleStepperClick: (answerId: any) => void;
  handleButtonClick: (answerId: any, direction: 'backward' | 'forward') => void;
  resetState(): void;
  componentWillLoad(): void;
  render(): any[];
  renderCurrentQuestionGroup(currentActiveStepperId: any): any;
  renderExternal(): any;
  renderInternal(): any;
  private updateButtonDisabled;
}
