import { IBusinessClassificationSelectorNaicsGroupComponent, IChoice } from '@boldpenguin/sdk-types';
export declare class BpSdkBusinessClassificationSelectorNaicsGroup implements IBusinessClassificationSelectorNaicsGroupComponent {
  /***
   * Choices to display
   */
  choices: IChoice[];
  /**
   * Should show confidence
   */
  showConfidence: boolean;
  /**
   * Should show confidence
   */
  showNaicsCode: boolean;
  /**
   * NAICS code for this group
   */
  naicsCode: string;
  /**
   * NAICS explanation for this group
   */
  naicsExplanation: string;
  /**
   * NAICS industry description for this group
   */
  naicsDescription: string;
  /**
   * Selected choice id
   */
  choiceId: string;
  /**
   * Score for the highest scored choice
   */
  highestChoiceScore: number;
  useExternal: boolean;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
