import { IErrorMessages, IErrorsComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkErrors implements IErrorsComponent {
  /**
   * Answer id
   */
  answerId: string;
  /**
   * Question Id
   */
  questionId: string;
  /**
   * minimum value
   */
  min: number;
  /**
   * minimum date
   */
  minDate: string;
  /**
   * Maximum value
   */
  max: number;
  /**
   * Maximum date
   */
  maxDate: string;
  /**
   * Field type
   */
  fieldType: string;
  /**
   * Regex pattern to match
   */
  pattern: string;
  /**
   * Error messages
   */
  errors: string[];
  /**
   * Error text
   */
  errorText: string;
  /**
   * Error messages function map
   */
  errorMessages: IErrorMessages;
  useExternal: boolean;
  transformError(error: string): string;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
