import { IVehicleVinInputComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkVehicleVinInput implements IVehicleVinInputComponent {
  /**
   * code to use
   */
  code: string;
  /**
   * Label to display
   */
  label: string;
  /**
   * Is pristine
   */
  pristine: boolean;
  /**
   * Is touched
   */
  touched: boolean;
  /**
   * Error messages
   */
  errors: string[];
  /**
   * Value of input
   */
  value: string;
  labelId: string;
  useExternal: boolean;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
